POST https://api.revio.co.za/v2/payment/eftRequest body
| Field | Type | Required | Description |
|---|---|---|---|
debtor | Debtor | yes | |
creditor | Creditor | yes | |
amountCents | integer (int64) | yes | |
paymentDate | string (date-time) | yes | |
profileCode | string | yes | |
serviceType | EFTPaymentServiceType | no | One of: ONEDAY, TWODAY, SAMEDAY |
alertOverride | AlertOverrideDTO | no | |
abbreviatedName | string | yes | |
realTimeClearing | boolean | no | |
contractReference | string | yes | |
externalReference | string | no |
Example
curl -X POST https://api.revio.co.za/v2/payment/eft \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |